!箱型断面の高さを変えてたわみを計算するプログラム
implicit real*8(a-h, o-z)
open(7,file='hakotakasa-tawamir-kata.dat')
open(8,file='hakotakasa-tawamir-tou.dat')
hakoh=-0.05+0.018d0
do i=1,18
hakob=0.849d0!cowperのb
hakoh=hakoh+0.05d0!cowperのh
t=0.009d0!板の厚さ
ell=5.00d0!スパン
ellk=ell/2.0d0!片持ちのスパン
ellt=1.30d0!等曲げ試験の荷重までの距離
!断面積
dmenseki=(hakob+t)*(hakoh+t)-(hakob-t)*(hakoh-t)
!断面二次モーメント
dniji=((hakob+t)*((hakoh+t)**3)-(hakob-t)*((hakoh-t)**3))/12.0d0
p3ten=4.016d4!3点曲げの荷重
p3ten2=p3ten/2.0d0!片持ちの荷重
ptoumage=6.013d4!等曲げの荷重
ptoumage2=ptoumage/2.0d0!等曲げの荷重の半分
e=206.0d9!ヤング率
poa=0.30d0!ポアソン比
g=e/((1.0d0+poa)*2.0d0)
hakom=hakob*t/(hakoh*t)!cowperのm
hakom2=hakom**2!cowperのm**2
hakom3=hakom**3!cowperのm**3
hakon=hakob/hakoh!cowperのn
hakon2=hakon**2!cowperのn**2
hakok=(10.0d0*(1.0d0+poa)*(1.0d0+3.0d0*hakom)**2)&
/((12.0d0+72.0d0*hakom+150.0d0*hakom2+90.0d0*hakom3)&
&+poa*(11.0d0+66.0d0*hakom+135.0d0*hakom2+90.0d0*hakom3)&
&+10.0d0*hakon2*((3.0d0+poa)*hakom+3.0d0*hakom2))!cowperのk
syotou3ten=(p3ten2*ellk**3)/(3.0d0*e*dniji)!初等梁理論値(3点曲げ)
timo3ten=syotou3ten+&
&(p3ten2*ellk)/(hakok*g*dmenseki)!ティモシェンコ理論値(3点曲げ)
syotoutoumage=(ptoumage2*ellt*(3.0d0*ell**2-4.0d0*ellt**2))&
&/(24.0d0*e*dniji)!初等梁理論値(等曲げ)
timotoumage=syotoutoumage&
&+(ptoumage2*ellt)/(hakok*g*dmenseki)!ティモシェンコ理論値(等曲げ)
timowarusyotou3ten=timo3ten/syotou3ten
timowarusyotoutoumage=timotoumage/syotoutoumage
write(7,'(1pe13.5,a,1pe13.5)') hakoh+t,' ',timo3ten
write(8,'(1pe13.5,a,1pe13.5)') hakoh+t,' ',timotoumage
end do
close(7)
close(8)
end
